%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate nalgebra

Name:           rust-nalgebra
Version:        0.32.6
Release:    1%{?dist}
Summary:        General-purpose linear algebra library

License:        Apache-2.0
URL:            https://crates.io/crates/nalgebra
Source0:         %{crates_source}
Patch:          nalgebra-fix-metadata.diff
Patch:          0001-fix-a-compilation-failure-with-Rust-1.78.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
General-purpose linear algebra library with transformations and
statically-sized or dynamically-sized matrices.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alga-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alga-devel %{_description}

This package contains library source intended for building other packages which
use the "alga" feature of the "%{crate}" crate.

%files       -n %{name}+alga-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytemuck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytemuck-devel %{_description}

This package contains library source intended for building other packages which
use the "bytemuck" feature of the "%{crate}" crate.

%files       -n %{name}+bytemuck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compare-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compare-devel %{_description}

This package contains library source intended for building other packages which
use the "compare" feature of the "%{crate}" crate.

%files       -n %{name}+compare-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+convert-bytemuck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+convert-bytemuck-devel %{_description}

This package contains library source intended for building other packages which
use the "convert-bytemuck" feature of the "%{crate}" crate.

%files       -n %{name}+convert-bytemuck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+convert-mint-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+convert-mint-devel %{_description}

This package contains library source intended for building other packages which
use the "convert-mint" feature of the "%{crate}" crate.

%files       -n %{name}+convert-mint-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io-devel %{_description}

This package contains library source intended for building other packages which
use the "io" feature of the "%{crate}" crate.

%files       -n %{name}+io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-devel %{_description}

This package contains library source intended for building other packages which
use the "libm" feature of the "%{crate}" crate.

%files       -n %{name}+libm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libm-force-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-force-devel %{_description}

This package contains library source intended for building other packages which
use the "libm-force" feature of the "%{crate}" crate.

%files       -n %{name}+libm-force-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+macros-devel %{_description}

This package contains library source intended for building other packages which
use the "macros" feature of the "%{crate}" crate.

%files       -n %{name}+macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+matrixcompare-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+matrixcompare-core-devel %{_description}

This package contains library source intended for building other packages which
use the "matrixcompare-core" feature of the "%{crate}" crate.

%files       -n %{name}+matrixcompare-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+matrixmultiply-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+matrixmultiply-devel %{_description}

This package contains library source intended for building other packages which
use the "matrixmultiply" feature of the "%{crate}" crate.

%files       -n %{name}+matrixmultiply-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mint-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mint-devel %{_description}

This package contains library source intended for building other packages which
use the "mint" feature of the "%{crate}" crate.

%files       -n %{name}+mint-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nalgebra-macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nalgebra-macros-devel %{_description}

This package contains library source intended for building other packages which
use the "nalgebra-macros" feature of the "%{crate}" crate.

%files       -n %{name}+nalgebra-macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pest-devel %{_description}

This package contains library source intended for building other packages which
use the "pest" feature of the "%{crate}" crate.

%files       -n %{name}+pest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pest_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pest_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "pest_derive" feature of the "%{crate}" crate.

%files       -n %{name}+pest_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proptest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proptest-devel %{_description}

This package contains library source intended for building other packages which
use the "proptest" feature of the "%{crate}" crate.

%files       -n %{name}+proptest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proptest-support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proptest-support-devel %{_description}

This package contains library source intended for building other packages which
use the "proptest-support" feature of the "%{crate}" crate.

%files       -n %{name}+proptest-support-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quickcheck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quickcheck-devel %{_description}

This package contains library source intended for building other packages which
use the "quickcheck" feature of the "%{crate}" crate.

%files       -n %{name}+quickcheck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-no-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-no-std-devel %{_description}

This package contains library source intended for building other packages which
use the "rand-no-std" feature of the "%{crate}" crate.

%files       -n %{name}+rand-no-std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-package-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-package-devel %{_description}

This package contains library source intended for building other packages which
use the "rand-package" feature of the "%{crate}" crate.

%files       -n %{name}+rand-package-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand_distr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand_distr-devel %{_description}

This package contains library source intended for building other packages which
use the "rand_distr" feature of the "%{crate}" crate.

%files       -n %{name}+rand_distr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-serialize-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-serialize" feature of the "%{crate}" crate.

%files       -n %{name}+serde-serialize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-serialize-no-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-serialize-no-std-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-serialize-no-std" feature of the "%{crate}" crate.

%files       -n %{name}+serde-serialize-no-std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+slow-tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+slow-tests-devel %{_description}

This package contains library source intended for building other packages which
use the "slow-tests" feature of the "%{crate}" crate.

%files       -n %{name}+slow-tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sparse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sparse-devel %{_description}

This package contains library source intended for building other packages which
use the "sparse" feature of the "%{crate}" crate.

%files       -n %{name}+sparse-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f compare,debug,macros,rand

%build
%cargo_build -f compare,debug,macros,rand

%install
%cargo_install -f compare,debug,macros,rand

%if %{with check}
%check
%cargo_test -f compare,debug,macros,rand
%endif

%changelog
* Tue Jul 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.32.6-1
- initial build
